function test_adjoint
% Test code for the quaternion adjoint and unadjoint functions.

% Copyright  2007 Stephen J. Sangwine and Nicolas Le Bihan.
% See the file : Copyright.m for further details.

display('Testing adjoint/unadjoint ...');

% Create a test matrix.

q = quaternion(randn(4), randn(4), randn(4), randn(4));

if unadjoint(adjoint(q)) ~= q
    error('quaternion/adjoint/unadjoint failed test 1.');
end

if unadjoint(adjoint(q, 'real'), 'real') ~= q
    error('quaternion/adjoint/unadjoint failed test 2.');
end

display('Passed');
